தானியங்கு புதுப்பிப்புகள் வேர்ட்பிரஸ் தோல்வியுற்றதா? FTP தோல்வியுற்றதா?

வேர்ட்பிரஸ்சமீபத்தில், வேர்ட்பிரஸ் உடன் பயன்படுத்த தங்கள் சொந்த சேவையகங்களை உள்ளமைத்த ஒரு கிளையண்ட் எங்களிடம் இருந்தார். அண்மையில் 3.04 பாதுகாப்பு புதுப்பிப்பு வந்தது, எங்கள் வாடிக்கையாளர்கள் அனைவருக்கும் இந்த பதிப்பை நிறுவுவதற்கு சில அவசர உணர்வு இருந்தது. இருப்பினும், இந்த குறிப்பிட்ட கிளையன்ட் எப்போதுமே நாங்கள் வேர்ட்பிரஸ் கைமுறையாக மேம்படுத்த வேண்டும் ... இதயத்தின் மயக்கத்திற்கான ஒரு செயல்முறை அல்ல!

நாங்கள் வழக்கமானதைப் பெற மாட்டோம் “கோப்புகளை எழுத முடியாதுஇந்த வலைப்பதிவில் பிழை. அதற்கு பதிலாக எங்களுக்கு FTP உள்நுழைவுடன் ஒரு திரை வழங்கப்பட்டது. சிக்கல் என்னவென்றால், நாங்கள் FTP நற்சான்றிதழ்களை நிரப்புவோம், அது இருக்கும் இன்னும் தோல்வியடைகிறது… இந்த முறை நல்ல சான்றுகளின் அடிப்படையில்!

இந்தியானாவின் லைஃப்லைன் தரவு மையங்களில் எங்கள் நண்பர்களுடன் தொடர்பு கொண்டேன் மிகப்பெரிய தரவு மையம், அவர்கள் சில அப்பாச்சி அழகற்றவர்களைக் கொண்டிருப்பதால், அவற்றின் சொந்த சேவையகங்களை உள்ளமைத்துள்ளனர். அவர்கள் எனக்கு ஒரு எளிய தீர்வை வழங்கினர் - நேரடியாக FTP நற்சான்றிதழ்களைச் சேர்த்தல் WP-config.php FTP நற்சான்றிதழ்களை ஹார்ட்கோட் செய்ய கோப்பு:

வரையறுக்கவும் ('FTP_HOST', 'லோக்கல் ஹோஸ்ட்'); வரையறுக்கவும் ('FTP_USER', 'பயனர்பெயர்'); வரையறுக்கவும் ('FTP_PASS', 'கடவுச்சொல்');

சில காரணங்களால், வடிவத்தில் வேலை செய்யாத ஒத்த நற்சான்றிதழ்கள், உள்ளமைவு கோப்பில் வைக்கும்போது சரியாக வேலை செய்தன! அதேபோல், இது எஃப்.டி.பி தேவையில்லாமல் வேர்ட்பிரஸ் செயல்படுவதைப் போலவே செயல்படுகிறது…. புதுப்பிப்பைக் கிளிக் செய்து செல்லுங்கள்!

4 கருத்துக்கள்

  1. 1

    எனது சேவையகத்தை மீண்டும் கட்டமைத்து புதிய வேர்ட்பிரஸ் நிறுவலை சுழற்றிய பிறகு நான் வேர்ட்பிரஸ் தானாக புதுப்பித்தல் பிழைகளை அனுபவித்தேன். எனது சிக்கல் ஃபயர்பாக்ஸிலிருந்து தோன்றியது, வேர்ட்பிரஸ் அல்ல - மற்றவர்கள் தங்கள் எஃப்.டி.பி பயனர்பெயர் மற்றும் வேர்ட்பிரஸ் பயனர்பெயர் என்னுடையது போலவே இருந்தால் (வெவ்வேறு மூலதனம் மற்றும் கடவுச்சொற்களுடன் இருந்தாலும்) இதே சிக்கலை அனுபவிக்கலாம்.

    சிக்கல் என்னவென்றால், ஃபயர்பாக்ஸ், நீங்கள் “கடவுச்சொற்களை நினைவில் வைத்திருந்தால்” இயக்கப்பட்டிருந்தால், கடவுச்சொல் நிர்வாகியில் சேமித்து வைக்கப்பட்டுள்ளதை அடிப்படையாகக் கொண்டதாக இருக்க வேண்டும் என்று நினைக்கும் வடிவத்தில் பயனரை / பாஸை தானாகவே சரிசெய்யும். என் விஷயத்தில், எனது வேர்ட்பிரஸ் நற்சான்றிதழ்கள் சேமிக்கப்பட்டன, ஆனால் எனது FTP நற்சான்றிதழ்கள் இல்லை, ஏனெனில் அவை SSH க்கு தளத்தில் பயன்படுத்தப்படலாம். இந்த சூழ்நிலையில் உள்ளவர்கள் தங்கள் விருப்பத்தேர்வுகள் / விருப்பங்களில் "கடவுச்சொற்களை நினைவில் கொள்ளுங்கள்" என்பதை தற்காலிகமாக முடக்கலாம் அல்லது வேர்ட்பிரஸ் தானாக புதுப்பிப்பைப் பயன்படுத்த முயற்சிக்கும்போது அல்லது இந்த நடத்தை சரிசெய்ய வேர்ட்பிரஸ் குறியீட்டின் ஒரு பகுதியைப் பயன்படுத்தலாம்.

  2. 2

    டக்,

    அப்பாச்சியின் வீடு கட்டமைப்பிலும் எனக்கு அதே பிரச்சினை இருந்தது. சில கோப்புகள் மற்றும் கோப்பகங்களில் முறையற்ற அனுமதிகள் மற்றும் உரிமையின் விளைவாக இது மாறிவிடும்.

    http://robspencer.net/auto-update-wordpress-without-ftp/

    மேலே உள்ள இணைப்பு ftp நற்சான்றிதழ்களைப் பயன்படுத்தாமல் சிக்கலை எவ்வாறு சரிசெய்வது என்பது பற்றிய நுண்ணறிவை வழங்கியது. உங்கள் முழு பயனர் கோப்பகத்தையும் 775 ஆக மாற்றுமாறு நான் பரிந்துரைக்கவில்லை (நான் செய்யவில்லை) ஆனால் இது என்னை சரியான திசையில் கொண்டு செல்லும்.

    ஆடம்

  3. 3

    சாத்தியமான தீர்வுகளைத் தேடும் மற்றவர்களுக்கு: மற்றொரு பதிவர் தனது .httaccess கோப்பில் பின்வருவனவற்றைச் சேர்ப்பதன் மூலம் தனது ஹோஸ்ட்டை php5 ஐப் பயன்படுத்தும்படி கட்டாயப்படுத்தியதன் மூலம் தனது தானியங்கு புதுப்பிப்பு சிக்கல்களைத் தீர்த்தார்:

    AddType x-mapp-php5 .php

  4. 4

    அறிவைப் பகிர்ந்தமைக்கு நன்றி, நான் தன்னியக்கத் தேதிகளில் சிக்கல்களைச் சந்தித்தேன், ஆனால் நான் கண்டறிந்த ஒரே தீர்வு செருகுநிரல்களை செயலிழக்கச் செய்து பின்னர் வேர்ட்பிரஸ் தானாக புதுப்பித்து அனைத்து செருகுநிரல்களையும் எதிர்வினையாற்றுவதாகும்.

    இந்த உதவிக்குறிப்பு ஒரு மாறுபட்ட சிக்கலுக்கானது, ஆனால் அதை எவ்வாறு தீர்ப்பது என்பதை அறிவது நல்லது.

    மெக்சிகோவிலிருந்து வாழ்த்துக்கள்!

நீங்கள் என்ன நினைக்கிறீர்கள்?

இந்த தளம் ஸ்பேமைக் குறைக்க Akismet ஐப் பயன்படுத்துகிறது. உங்கள் கருத்துத் தரவு எவ்வாறு செயல்படுத்தப்படுகிறது என்பதை அறியவும்.